/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Thu Mar 22 16:20:16 GMT 2001
    copyright            : (C) 2001 by Stephan de Georgio
    email                : kmasqdialer@stephan.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kmasqdialer.h"

static const char *description =
	I18N_NOOP("KMasqDialer");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kmasqdialer", I18N_NOOP("KMasqDialer"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, Stephan de Georgio", 0, 0, "kmasqdialer@stephan.co.uk");
  aboutData.addAuthor("Stephan de Georgio",0, "kmasqdialer@kbasic.co.uk");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KMasqDialer *kmasqdialer = new KMasqDialer();
  a.setMainWidget(kmasqdialer);

  return a.exec();
}
